#mui, #tree { width: 100%; }
#mui { margin-top: 160px; padding-top: 2px; }
#mui.selected { margin-top: 220px; }
#tree { border-collapse: collapse; table-layout: fixed; }
#tree > div, #tree a { cursor: pointer; }

#tree.mosaic { width: 100%; }
#tree.mosaic > tbody { width: calc(100% + 30px); margin-left: -15px; margin-right: -15px; }
#tree.mosaic, #tree.mosaic > tbody {
	display: flex; display: -ms-flexbox;
	flex-direction: column; -ms-flex-direction: column;
	justify-content: flex-start; -ms-flex-pack: start;
}

#tree.mosaic #tree_head {
	width: 100%; height: 24px;
	flex-basis: auto; -ms-flex-preferred-size: auto;
	display: block;
	margin: 25px 15px;
	box-shadow: none; border-radius: 0;
	text-align: left;
	background-color: transparent;
}

#tree th {
	text-align: left;
	font-family: RobotoMono; font-size: 12px; font-weight: bold;
	text-transform: uppercase;
}
#tree.mosaic th { display: none; }
#tree.mosaic th:first-child, #tree.mosaic th:nth-child(3) { display: inline-block; }

#tree tr {
	overflow: hidden; text-overflow: ellipsis; white-space: nowrap;
	position: relative;
	transition: 0.15s linear;
	transition-property: background-color;
}
#tree tr.selected {
	transition: 0.3s linear;
	transition-property: background-color;
}
#tree.mosaic tr {
	display: block;
  max-width: 100%;
  margin: 0 15px 25px 15px;
	text-align: center;
	border-radius: 6px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1);
	height: auto;
	padding-bottom: 15px;
	transition: 0.15s linear;
	transition-property: box-shadow;
}
#tree.mosaic tr.selected {
	transition: 0.3s linear;
	transition-property: box-shadow;
}
#tree:not(.mosaic) tr { height: 44px; }

#tree tr.break { display: none; }
#tree.mosaic tr.break {
	display: block;
	flex-basis: 100%;
	height: 0; width: 0; margin: 0; padding: 0;
	overflow: hidden;
}

#tree td {
	font-size: 15px; font-family: Roboto;
	overflow: hidden; text-overflow: ellipsis;
}
#tree td:nth-child(4), #tree td:nth-child(5) { font-size: 12px; }

#tree:not(.mosaic) th:nth-child(2), #tree:not(.mosaic) td:nth-child(2) { width: 24px; }
#tree:not(.mosaic) th:nth-child(3), #tree:not(.mosaic) td:nth-child(3) { padding-right: 10px; }
#tree:not(.mosaic) th:nth-child(4), #tree:not(.mosaic) td:nth-child(4) { width: 74px; }
#tree:not(.mosaic) th:nth-child(5), #tree:not(.mosaic) td:nth-child(5) { width: 114px; }

#tree:not(.mosaic) th:nth-child(5), #tree:not(.mosaic) td:nth-child(5),
#tree:not(.mosaic) th:nth-child(6), #tree:not(.mosaic) td:nth-child(6) { display: none; }

#tree.mosaic td { display: block; padding: 8px 11px; }
#tree.mosaic td:first-child { position: absolute; top: 8px; left: 8px; padding: 0; }
#tree.mosaic td:last-child { position: absolute; top: 8px; right: 8px; padding: 0; }
#tree.mosaic td:nth-child(2) { margin-top: 45px; }
#tree.mosaic td:nth-child(4), #tree.mosaic td:nth-child(5) { display: none; }

#tree .icon { width: 18px; }
#tree.mosaic .icon {
	display: block;
    font-size: 80px;
	max-height: 80px; width: 50%;
	margin: 0 auto;
}

#tree .btn-actions {
	height: 30px; width: 45px;
	border-radius: 4px;
	box-shadow: 0 2px 4px 0 rgba(22, 193, 243, 0.1); border: 2px solid #16c1f3;
	color: #16c1f3;
}
#tree.mosaic .btn-actions {
	height: 18px; width: 39px;
	border-radius: 2px;
	display: none !important;
}

#tree td.folder_checkbox, #tree td.file_checkbox { text-overflow: clip; }

a[id^="parent-"] { cursor: pointer; }
a[id^="parent-"] .fa-caret-up { font-size: 24px; padding-left: 10px; }

#tree:not(.mosaic) { /* Negative margin in order to have full width selected row background */
	margin-left: -15px; margin-right: -15px;
	width: calc(100% + 30px);
}
#tree:not(.mosaic) tr > td:first-child, #tree:not(.mosaic) tr > th:first-child { padding-left: 15px; width: 40px; }
#tree:not(.mosaic) tr > td:last-child, #tree:not(.mosaic) tr > th:last-child { padding-right: 15px; width: 60px; }

@media screen and (min-width: 400px) {
	#tree:not(.mosaic) th:nth-child(4), #tree:not(.mosaic) td:nth-child(4) { display: table-cell; }
}

@media screen and (min-width: 450px) {
	#tree.mosaic, #tree.mosaic > tbody {
		flex-direction: row; -ms-flex-direction: row;
    flex-wrap: wrap; -ms-flex-wrap: wrap;
	}
	#tree.mosaic tr {
		flex-basis: 184px; -ms-flex-preferred-size: 184px;
		height: 229px;
		padding-bottom: 0;
	}
	#tree.mosaic .icon { margin: 0 auto 43px auto; }
	#tree:not(.mosaic) th:nth-child(5), #tree:not(.mosaic) td:nth-child(5) { display: table-cell; }
}

@media screen and (min-width: 600px) {
	#tree:not(.mosaic) { /* Negative margin in order to have full width selected row background */
		margin-left: -25px; margin-right: -25px;
		width: calc(100% + 50px);
	}
	#tree:not(.mosaic) tr > td:first-child, #tree:not(.mosaic) tr > th:first-child { padding-left: 25px; width: 55px; }
	#tree:not(.mosaic) tr > td:last-child, #tree:not(.mosaic) tr > th:last-child { padding-right: 25px; width: 70px; }
	#tree:not(.mosaic) th:nth-child(6), #tree:not(.mosaic) td:nth-child(6) { display: table-cell; }

	#mui, #mui.selected { margin-top: 210px; }
}

@media screen and (min-width: 800px) {
	#tree:not(.mosaic) { /* Negative margin in order to have full width selected row background */
		margin-left: -15px; margin-right: -15px;
		width: calc(100% + 30px);
	}
	#tree:not(.mosaic) tr > td:first-child, #tree:not(.mosaic) tr > th:first-child { padding-left: 15px; width: 45px; }
	#tree:not(.mosaic) tr > td:last-child, #tree:not(.mosaic) tr > th:last-child { padding-right: 15px; width: 60px; }

	#mui, #mui.selected { margin-top: 30px; }
	#tree:not(.mosaic) tr { height: 54px; }
	#tree input[type="radio"] + label, #tree input[type="checkbox"] + label { padding-left: 34px; }
	#tree.mosaic .btn-actions { display: inline-flex !important; display: -ms-inline-flexbox !important; }
}

@media screen and (min-width: 1000px) {
	#tree:not(.mosaic) { /* Negative margin in order to have full width selected row background */
		margin-left: -50px; margin-right: -50px;
		width: calc(100% + 100px);
	}
	#tree:not(.mosaic) tr > td:first-child, #tree:not(.mosaic) tr > th:first-child { padding-left: 50px; width: 90px; }
	#tree:not(.mosaic) tr > td:last-child, #tree:not(.mosaic) tr > th:last-child { padding-right: 50px; width: 115px; }

	#tree:not(.mosaic) th:nth-child(4), #tree:not(.mosaic) td:nth-child(4) { width: 84px; }
	#tree:not(.mosaic) th:nth-child(5), #tree:not(.mosaic) td:nth-child(5) { width: 144px; }

	#tree td:nth-child(4), #tree td:nth-child(5) { font-size: 15px; }
	#tree .btn-actions { width: 65px; }
	#tree input[type="radio"] + label, #tree input[type="checkbox"] + label { padding-left: 44px; }
}

@media screen and (min-width: 1200px) {
	#tree.mosaic tr { margin: 0 15px 48px 15px; }

	#tree:not(.mosaic) th:nth-child(4), #tree:not(.mosaic) td:nth-child(4) { width: 104px; }
	#tree:not(.mosaic) th:nth-child(5), #tree:not(.mosaic) td:nth-child(5) { width: 164px; }
}
